﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            OSI DSP-007Y33: (1 year) VER RS-232 /6100B
DATE:                  2017-02-09 14:38:23
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18238 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       200
CONFIGURATION:         Fluke 6100B
=============================================================================
#
#  Procedure Author(s):
#        CAD
#
#  Source:
#        OSI Test Procedure, Model DSP-007Y33, 3/9/2011
#
#  Required Equipment:
#        Fluke 6100B
#        IFC-4498, RS-232C to RS-422 converter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N                                              L     W

# The following statements are included to force the main procedure header to
# include CONFIGURATION lines for the references used in the subprocedures.
  1.002  IF           0
  1.003  6100B        Reset
  1.004  ENDIF

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  VSET         NSD = 3; UUT_RES = 0.01

  1.013  HEAD         REMOTE CONNECTION INSTRUCTIONS
  1.014  MATH         MEM2 = INI("startup", "port")

  1.015  DISP         Connect the UUT to [MEM2] using an IFC-4498,
  1.015  DISP         RS-232C to RS-422 converter.
  1.015  DISP
  1.015  DISP         [32]                 CAUTION!
  1.015  DISP         Do NOT use an RS-232 cable for this connection.
  1.015  DISP         HIGH VOLTAGES are present on the UUT interface
  1.015  DISP         which WILL damage your computer.

# Configure default COM port.
  1.016  PORT         [P9600,N,8,1,N]
  1.017  CALL         Sub OSI DSP Connection and Configuration RS-232

  1.018  DISP         The next routine operator intervention occurs
  1.018  DISP         in approximately 4 minutes...

  1.019  RSLT         =
  1.020  HEAD         {VOLTAGE LINEARITY @ 60 Hz}
  1.021  TARGET
  1.022  MATH         @Voltage = 10.39
  1.023  CALL         Sub OSI DSP Voltage Test RS-232

  1.024  MATH         @Voltage = 10
  1.025  CALL         Sub OSI DSP Voltage Test RS-232

  1.026  MATH         @Voltage = 9
  1.027  CALL         Sub OSI DSP Voltage Test RS-232

  1.028  MATH         @Voltage = 8
  1.029  CALL         Sub OSI DSP Voltage Test RS-232

  1.030  MATH         @Voltage = 7
  1.031  CALL         Sub OSI DSP Voltage Test RS-232

  1.032  MATH         @Voltage = 6
  1.033  CALL         Sub OSI DSP Voltage Test RS-232

  1.034  MATH         @Voltage = 5
  1.035  CALL         Sub OSI DSP Voltage Test RS-232

  1.036  MATH         @Voltage = 4
  1.037  CALL         Sub OSI DSP Voltage Test RS-232

  1.038  MATH         @Voltage = 3
  1.039  CALL         Sub OSI DSP Voltage Test RS-232

  1.040  MATH         @Voltage = 2
  1.041  CALL         Sub OSI DSP Voltage Test RS-232

  1.042  MATH         @Voltage = 1
  1.043  CALL         Sub OSI DSP Voltage Test RS-232

  1.044  RSLT         =
  1.045  HEAD         {CURRENT LINEARITY @ 60 Hz}
  1.046  TARGET
  1.047  MATH         @Current = 5000
  1.048  CALL         Sub OSI DSP Current Test RS-232

  1.049  MATH         @Current = 4500
  1.050  CALL         Sub OSI DSP Current Test RS-232

  1.051  MATH         @Current = 4000
  1.052  CALL         Sub OSI DSP Current Test RS-232

  1.053  MATH         @Current = 3500
  1.054  CALL         Sub OSI DSP Current Test RS-232

  1.055  MATH         @Current = 3000
  1.056  CALL         Sub OSI DSP Current Test RS-232

  1.057  MATH         @Current = 2500
  1.058  CALL         Sub OSI DSP Current Test RS-232

  1.059  MATH         @Current = 2000
  1.060  CALL         Sub OSI DSP Current Test RS-232

  1.061  MATH         @Current = 1500
  1.062  CALL         Sub OSI DSP Current Test RS-232

  1.063  MATH         @Current = 1000
  1.064  CALL         Sub OSI DSP Current Test RS-232

  1.065  MATH         @Current = 500
  1.066  CALL         Sub OSI DSP Current Test RS-232

  1.067  RSLT         =
  1.068  HEAD         {FREQUENCY LINEARITY}
  1.069  RSLT         =
  1.070  TARGET
  1.071  MATH         @Frequency = 62
  1.072  CALL         Sub OSI DSP Frequency Test RS-232

  1.073  MATH         @Frequency = 60
  1.074  CALL         Sub OSI DSP Frequency Test RS-232

  1.075  MATH         @Frequency = 58
  1.076  CALL         Sub OSI DSP Frequency Test RS-232

  1.077  MATH         @Frequency = 56
  1.078  CALL         Sub OSI DSP Frequency Test RS-232

  1.079  MATH         @Frequency = 54
  1.080  CALL         Sub OSI DSP Frequency Test RS-232

  1.081  MATH         @Frequency = 52
  1.082  CALL         Sub OSI DSP Frequency Test RS-232

  1.083  MATH         @Frequency = 50
  1.084  CALL         Sub OSI DSP Frequency Test RS-232

  1.085  MATH         @Frequency = 48
  1.086  CALL         Sub OSI DSP Frequency Test RS-232

  1.087  RSLT         =
  1.088  HEAD         {POWER LINEARITY (Watts)}
  1.089  TARGET
  1.090  MATH         @Voltage = 10; @Current = 5000
  1.091  CALL         Sub OSI DSP Power Test RS-232

  1.092  MATH         @Voltage = 8; @Current = 5000
  1.093  CALL         Sub OSI DSP Power Test RS-232

  1.094  MATH         @Voltage = 6; @Current = 5000
  1.095  CALL         Sub OSI DSP Power Test RS-232

  1.096  MATH         @Voltage = 4; @Current = 5000
  1.097  CALL         Sub OSI DSP Power Test RS-232

  1.098  MATH         @Voltage = 2; @Current = 5000
  1.099  CALL         Sub OSI DSP Power Test RS-232

  1.100  6100B        Reset

  1.101  IF           @Restore
  1.102  CALL         Sub OSI DSP Restore Configuration RS-232
  1.103  ENDIF

  1.104  DISP         [32]                  CAUTION!
  1.104  DISP         Ensure that the UUT Instrument Power source is OFF
  1.104  DISP         prior to removing connections.

  1.105  END
