﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub OSI DSP Current Test RS-232
INSTRUMENT:            Sub OSI DSP Voltage Test RS-232
INSTRUMENT:            Sub OSI DSP Power Test RS-232
INSTRUMENT:            Sub OSI DSP Frequency Test RS-232
DATE:                  2011-04-01 13:25:20
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18238 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       249
CONFIGURATION:         Fluke 6100B
=============================================================================
#
#  Procedure Author(s):
#        CAD
#
#  Models covered:
#        Ohio Semitronics DSP-007Y33
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub OSI DSP Binary Read RS-232
#        Sub OSI DSP Parse Response
#
#  Required Files:
#        None
#
#  Required Equipment:
#        Fluke 6100B
#        IFC-4498, RS-232C to RS-422 converter
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         VOLTAGE                     PSUBI("Voltage")
  1.002  JMPL         CURRENT                     PSUBI("Current")
  1.003  JMPL         FREQUENCY                   PSUBI("Frequency")
  1.004  JMPL         POWER                       PSUBI("Power")

  1.005  DISP         {Subprocedure not found!}
  1.006  END

  1.007  EVAL   Increment Step Number


# Sub OSI DSP Voltage Test RS-232 =======================================

  2.001  LABEL        VOLTAGE

# UUT resolution is 0.1 V.  This forces report resolution to 0.001 V.
  2.002  VSET         UUT_RES = 0.001

  2.003  RSLT         =
  2.004  HEAD         -2 Test Level: [V @Voltage] V
  2.005  TARGET
  2.006  LABEL        VOLTAGE_START
  2.007  6100B        L1IAC = 5000 mA; Freq = 60 Hz
  2.007  6100B        +L1VAC = [V @Voltage] V
  2.008  MATH         L[1] = REFACC()

  2.009  WAIT         [D2000]
  2.010  PORT         [2][V @Addr]R[3]
  2.011  CALL         Sub OSI DSP Binary Read RS-232
  2.012  6100B        Standby
  2.013  CALL         Sub OSI DSP Parse Readings

  2.014  TSET         TDESC = Line 1 | Neutral
  2.015  MATH         MEM = @Voltage
  2.016  ACC          V              L1U
  2.017  MATH         MEM = @V_L1_N
  2.018  MEMCX  18    V              0.1%          60H

# Force correct behavior of Repeat and Cancel.
  3.001  JMPL         VL2-N
  3.002  TARGET       -p
  3.003  JMPL         VOLTAGE_START

  3.004  LABEL        VL2-N
  3.005  TSET         TDESC = Line 2 | Neutral
  3.006  MATH         MEM = @Voltage
  3.007  ACC          V              L1U
  3.008  MATH         MEM = @V_L2_N
  3.009  MEMCX  18    V              0.1%          60H

  4.001  JMPL         VL3-N
  4.002  TARGET       -p
  4.003  JMPL         VOLTAGE_START

  4.004  LABEL        VL3-N
  4.005  TSET         TDESC = Line 3 | Neutral
  4.006  MATH         MEM = @Voltage
  4.007  ACC          V              L1U
  4.008  MATH         MEM = @V_L3_N
  4.009  MEMCX  18    V              0.1%          60H

  5.001  VSET         UUT_RES = *
  5.002  HEAD         -2
  5.003  END
  5.004  EVAL   Increment Step Number


# Sub OSI DSP Current Test RS-232 =======================================

  6.001  LABEL        CURRENT

  6.002  RSLT         =
  6.003  HEAD         -2 Test Level: [V @Current] mA
  6.004  TARGET
  6.005  LABEL        CURRENT_START
  6.006  6100B        L1VAC = 10.39 V; Freq = 60 Hz
  6.006  6100B        +L1IAC = [V @Current] mA
  6.007  MATH         L[1] = REFACC()

  6.008  WAIT         [D2000]
  6.009  PORT         [2][V @Addr]R[3]
  6.010  CALL         Sub OSI DSP Binary Read RS-232
  6.011  6100B        Standby
  6.012  CALL         Sub OSI DSP Parse Readings

  6.013  TSET         TDESC = Line 1
  6.014  MATH         MEM = @Current
  6.015  ACC          mA             L1U
  6.016  MATH         MEM = @I_L1
  6.017  MEMCX  5000  mA             0.1%          60H

# Force correct behavior of Repeat and Cancel.
  7.001  JMPL         IL2
  7.002  TARGET       -p
  7.003  JMPL         CURRENT_START

  7.004  LABEL        IL2
  7.005  TSET         TDESC = Line 2
  7.006  MATH         MEM = @Current
  7.007  ACC          mA             L1U
  7.008  MATH         MEM = @I_L2
  7.009  MEMCX  5000  mA             0.1%          60H

  8.001  JMPL         IL3
  8.002  TARGET       -p
  8.003  JMPL         CURRENT_START

  8.004  LABEL        IL3
  8.005  TSET         TDESC = Line 3
  8.006  MATH         MEM = @Current
  8.007  ACC          mA             L1U
  8.008  MATH         MEM = @I_L3
  8.009  MEMCX  5000  mA             0.1%          60H

  9.001  HEAD         -2
  9.002  END
  9.003  EVAL   Increment Step Number


# Sub OSI DSP Frequency Test RS-232 =====================================

 10.001  LABEL        FREQUENCY

 10.002  HEAD         -2 Test Frequency: [V @Frequency] Hz
 10.003  TARGET
 10.004  6100B        L1VAC = 10 V; L1IAC = 5000 mA
 10.004  6100B        +Freq = [V @Frequency] Hz
 10.005  MATH         L[1] = REFACC()

 10.006  WAIT         [D2000]
 10.007  PORT         [2][V @Addr]R[3]
 10.008  CALL         Sub OSI DSP Binary Read RS-232
 10.009  6100B        Standby
 10.010  CALL         Sub OSI DSP Parse Readings

 10.011  MATH         MEM = @Frequency
 10.012  ACC          Hz             L1U
 10.013  MATH         MEM = @Hertz
 10.014  MEMCX        Hz             0.1%          50W

 11.001  HEAD         -2
 11.002  END
 11.003  EVAL   Increment Step Number


# Sub OSI DSP Power Test RS-232 =========================================

 12.001  LABEL        POWER
 12.002  VSET         UUT_RES = 0.01

 12.003  RSLT         =
 12.004  MATH         Power = @Voltage * (@Current / 1E+3)
 12.005  HEAD         -2 Test Level: [V Power] Watts
 12.006  TARGET
 12.007  LABEL        POWER_START
 12.008  6100B        L1VAC    = [V @Voltage] V; L1IAC = [V @Current] mA
 12.008  6100B        +L1Power = [V Power] W;    Freq  = 60 Hz
 12.009  MATH         RefAcc = REFACC(); L[1] = RefAcc

 12.010  WAIT         [D2000]
 12.011  PORT         [2][V @Addr]R[3]
 12.012  CALL         Sub OSI DSP Binary Read RS-232
 12.013  6100B        Standby
 12.014  CALL         Sub OSI DSP Parse Readings

 12.015  TSET         TDESC = Line 1 | Neutral
 12.016  MATH         MEM = Power
 12.017  ACC          W              L1U
 12.018  MATH         MEM = @W_L1_N
 12.019  MEMCX  60    W              0.1%          60H

# Force correct behavior of Repeat and Cancel.
 13.001  JMPL         WL2-N
 13.002  TARGET       -p
 13.003  JMPL         POWER_START

 13.004  LABEL        WL2-N
 13.005  TSET         TDESC = Line 2 | Neutral
 13.006  MATH         MEM = Power
 13.007  ACC          W              L1U
 13.008  MATH         MEM = @W_L2_N
 13.009  MEMCX  60    W              0.1%          60H

 14.001  JMPL         WL3-N
 14.002  TARGET       -p
 14.003  JMPL         POWER_START

 14.004  LABEL        WL3-N
 14.005  TSET         TDESC = Line 3 | Neutral
 14.006  MATH         MEM = Power
 14.007  ACC          W              L1U
 14.008  MATH         MEM = @W_L3_N
 14.009  MEMCX  60    W              0.1%          60H

 15.001  JMPL         W_Total
 15.002  TARGET       -p
 15.003  JMPL         POWER_START

 15.004  LABEL        W_Total
 15.005  TSET         TDESC = Total
 15.006  MATH         MEM = Power * 3
 15.007  ACC          W              L1U
 15.008  MATH         MEM = @W_Total
 15.009  MEMCX  180   W              0.1%          60H

 16.001  VSET         UUT_RES = *
 16.002  HEAD         -2
 16.003  END
