﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub OSI DSP Connection and Configuration RS-232
INSTRUMENT:            Sub OSI DSP Binary Read RS-232
INSTRUMENT:            Sub OSI DSP Parse Readings
INSTRUMENT:            Sub OSI DSP Restore Configuration RS-232
DATE:                  2011-04-04 08:17:14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18238 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       231
=============================================================================
#
#  Procedure Author(s):
#        CAD
#
#  Models covered:
#        Ohio Semitronics DSP Series
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub OSI DSP Binary Read RS-232
#
#  Required Files:
#        osi_dsp.jpg
#
#  Required Equipment:
#        IFC-4498, RS-232C to RS-422 converter
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CONFIGURE                   PSUBI("Configuration")
  1.002  JMPL         BINARY_READ                 PSUBI("Binary Read")
  1.003  JMPL         PARSE_READINGS              PSUBI("Parse Readings")
  1.004  JMPL         RESTORE                     PSUBI("Restore Config")

  1.005  DISP         {Subprocedure not found!}
  1.006  END
  1.007  EVAL   Increment Step Number


# Sub OSI DSP Connection and Configuration RS-232 ============================

  2.001  LABEL        CONFIGURE

  2.002  HEAD         INSTRUMENT CONNECTIONS
  2.003  DISP         [32]                    CAUTION!
  2.003  DISP         Ensure the UUT Instrument Power source is OFF prior to
  2.003  DISP         changing connections.

  2.004  OPBR         Are you using the (optional) Test Harness
  2.004  OPBR         for DSP models?
  2.005  MATH         @Harness = (MEM1 == 1)

  2.006  IF           @Harness

  2.007  DISP         Configure the UUT test harness as follows:
  2.007  DISP
  2.007  DISP         [32] 3 voltage inputs in parallel (L1, L2, L3 to N)
  2.007  DISP         [32] 3 current inputs in series

  2.008  DISP         Connect the UUT test harness to:
  2.008  DISP
  2.008  DISP         [32] Fluke 6100B VOLTAGE OUTPUT HI
  2.008  DISP         [32] Fluke 6100B VOLTAGE OUTPUT LO
  2.008  DISP
  2.008  DISP         [32] Fluke 6100B CURRENT OUTPUT HI
  2.008  DISP         [32] Fluke 6100B CURRENT OUTPUT LO
  2.008  DISP
  2.008  DISP         Observe correct polarity.

  2.009  DISP         Connect UUT Instrument Power source (115 V, 60 Hz) to
  2.009  DISP         pins B and E of the test harness Voltage Connector.

  2.010  ELSE

  2.011  PIC          osi_dsp.jpg

  2.012  ENDIF

  2.013  HEAD         PRELIMINARY OPERATIONS
  2.014  DISP         Apply 115 V, 60 Hz Instrument Power.
  2.014  DISP
  2.014  DISP         Allow the UUT to warm up for 10 minutes prior to
  2.014  DISP         proceeding with performance verification.

  2.015  HEAD         -2 Enter the UUT address:
  2.016  DO

  2.017  MEM2         Enter UUT address using four characters (e.g., 0001):
  2.018  MATH         Address_OK = (INT(MEM2) >= 1) && (LEN(MEM2) == 4)

  2.019  IF           NOT(Address_OK)
  2.020  DISP         [MEM2] is not a valid UUT address.
  2.020  DISP
  2.020  DISP         Please try again.
  2.021  ENDIF

  2.022  UNTIL        Address_OK

  2.023  MATH         @Addr = MEM2

  2.024  HEAD         -2 Verify UUT Operating Parameters
  2.025  PORT         [2][V @Addr]V[3]
  2.026  CALL         Sub OSI DSP Binary Read RS-232

# Parse configuration response, store values for restoration.
  2.027  MATH         @FirmwareRev = FLD(MEM2, 2, ",")
  2.028  MATH         @VT          = FLD(MEM2, 3, ",")
  2.029  MATH         @CT          = FLD(MEM2, 4, ",")
  2.030  MATH         @Avg         = FLD(MEM2, 5, ",")
  2.031  MATH         @Setup       = FLD(MEM2, 6, ",")

  2.032  MATH         VT_OK    = (@VT  == 18)
  2.033  MATH         CT_OK    = (@CT  == 5000)
  2.034  MATH         Avg_OK   = (@Avg == 8)
  2.035  MATH         Setup_OK = ZCMPI(@Setup, "7C")

  2.036  MATH         Config_OK = VT_OK && CT_OK && Avg_OK && Setup_OK

# Initialize the @Restore variable.
  2.037  MATH         @Restore = 0

  2.038  IF           NOT(Config_OK)

  2.039  HEAD         -2 Configure UUT Operating Parameters
  2.040  OPBR         The UUT configuration must be updated before this
  2.040  OPBR         procedure can continue.  This will be performed
  2.040  OPBR         automatically, via remote commands.
  2.040  OPBR
  2.040  OPBR         Would you like to restore the existing settings
  2.040  OPBR         at the end of this performance verification?

  2.041  MATH         @Restore = (MEM1 == 1)

  2.042  IF           @Harness
  2.043  DISP         Place the Program Enable jumper in the Enable position.
  2.044  ELSE
  2.045  DISP         Connect a short length of wire (jumper) between
  2.045  DISP         terminal numbers 2 and 3.
  2.046  ENDIF

# Configure the UUT for testing.
  2.047  PORT         [2][V @Addr]J18[3]
  2.048  PORT         [2][V @Addr]25000[3]
  2.049  PORT         [2][V @Addr]K8[3]
  2.050  PORT         [2][V @Addr]U7C[3]

  2.051  ENDIF

# Print firmware version to the results.
  2.052  RSLT         =
  2.053  RSLT         = Firmware Version: [V @FirmwareRev]

  2.054  HEAD
  2.055  HEAD         -2
  2.056  END
  2.057  EVAL   Increment Step Number


# Sub OSI DSP Binary Read RS-232 =============================================

  3.001  LABEL        BINARY_READ

# Perform binary read of data from UUT.
  3.002  PORT         [T250][IB *]

# Return return binary buffer byte count.
  3.003  MATH         n = BRN()

# Convert range of bytes to string.
  3.004  MATH         MEM2 = BRS(1, n)

# Strip STX and ETX control characters.
  3.005  MATH         MEM2 = FLD(MEM2, 2, "<STX>")
  3.006  MATH         MEM2 = FLD(MEM2, 1, "<ETX>")

  3.007  END
  3.008  EVAL   Increment Step Number


# Sub OSI DSP Parse Readings =================================================

  4.001  LABEL        PARSE_READINGS

# Parse response.
  4.002  MATH         @V_L1_N  = FLD(MEM2,  2, ",")
  4.003  MATH         @V_L2_N  = FLD(MEM2,  3, ",")
  4.004  MATH         @V_L3_N  = FLD(MEM2,  4, ",")

  4.005  MATH         @I_L1    = FLD(MEM2,  5, ",")
  4.006  MATH         @I_L2    = FLD(MEM2,  6, ",")
  4.007  MATH         @I_L3    = FLD(MEM2,  7, ",")

  4.008  MATH         @W_L1_N  = FLD(MEM2,  8, ",")
  4.009  MATH         @W_L2_N  = FLD(MEM2,  9, ",")
  4.010  MATH         @W_L3_N  = FLD(MEM2, 10, ",")
  4.011  MATH         @W_Total = FLD(MEM2, 11, ",")

  4.012  MATH         @Hertz   = FLD(MEM2, 12, ",")

  4.013  END
  4.014  EVAL   Increment Step Number


# Sub OSI DSP Restore Configuration RS-232 ===================================

  5.001  LABEL        RESTORE

  5.002  TARGET
  5.003  PORT         [2][V @Addr]J[V @VT][3]
  5.004  PORT         [2][V @Addr]2[V @CT][3]
  5.005  PORT         [2][V @Addr]K[V @Avg][3]
  5.006  PORT         [2][V @Addr]U[V @Setup][3]

  5.007  RSLT         =
  5.008  RSLT         =UUT operating parameters restored:
  5.009  RSLT         =
  5.010  RSLT         =[32] VT    = [V @VT]
  5.011  RSLT         =[32] CT    = [V @CT]
  5.012  RSLT         =[32] Avg   = [V @Avg]
  5.013  RSLT         =[32] Setup = [V @Setup]

  5.014  END
